CREATE TABLE irc_li_requisition_mapping (
    REQUISITION_ID                NUMBER(18, 0) ,
    LI_JOB_POSTING_TASK_ID        VARCHAR2(1020),
    LI_JOB_POSTING_STATUS_CODE    VARCHAR2(120) ,
    ADDITIONAL_INFO1              VARCHAR2(4000),
    LI_JOB_POSTING_URN            VARCHAR2(1020),
    LOCATION                      VARCHAR2(1440),
    HTTP_CODE                     VARCHAR2(80)  ,
    ACTIVE_FLAG                   VARCHAR2(4)   ,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    REQUISITION_ACTION_CODE       VARCHAR2(80)  ,
    REQUISITION_SYNC_STATUS       VARCHAR2(80)  ,
    REQUISITION_SYNC_ERROR        VARCHAR2(4000),
    REQUISITION_SYNC_INFO         VARCHAR2(4000),
    REQUISITION_SYNC_DATE         TIMESTAMP(6)  ,
    CALL_TYPE                     VARCHAR2(120) ,
    REQUISITION_PAYLOAD           VARCHAR2(4000),
    REQUISITION_ID                NUMBER(18, 0) ,
    LI_JOB_POSTING_TASK_ID        VARCHAR2(1020),
    LI_JOB_POSTING_STATUS_CODE    VARCHAR2(120) ,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    ADDITIONAL_INFO1              VARCHAR2(4000),
    LI_JOB_POSTING_URN            VARCHAR2(1020),
    LOCATION                      VARCHAR2(1440),
    HTTP_CODE                     VARCHAR2(80)  ,
    ACTIVE_FLAG                   VARCHAR2(4)   ,
    REQUISITION_ACTION_CODE       VARCHAR2(80)  ,
    REQUISITION_SYNC_STATUS       VARCHAR2(80)  ,
    REQUISITION_SYNC_ERROR        VARCHAR2(4000),
    REQUISITION_SYNC_INFO         VARCHAR2(4000),
    REQUISITION_SYNC_DATE         TIMESTAMP(6)  ,
    CALL_TYPE                     VARCHAR2(120) ,
    REQUISITION_PAYLOAD           VARCHAR2(4000),
    CONSTRAINT pk_irc_li_requisition_mapping PRIMARY KEY (REQUISITION_ID, LI_JOB_POSTING_TASK_ID, REQUISITION_ID, LI_JOB_POSTING_TASK_ID)
);
